Check a deal is ready for a lender’s API
curl --request GET \
--url https://api.nextlevelmca.com/v1/deals/{dealId}/api-readiness \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/deals/{dealId}/api-readiness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/deals/{dealId}/api-readiness"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"lender_id": "<string>",
"spec_id": "<string>",
"valid": true,
"missing": [
"<string>"
],
"invalid": [
{
"field": "<string>",
"reason": "<string>"
}
],
"labels": {}
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Submissions
Check a deal is ready for a lender’s API
Pre-flight for a lender with submission_method: "api": the canonical fields its funder requires that are not on file (missing, with human labels) and fields on file the funder would reject (invalid). POST /deals/{dealId}/submissions and POST /submissions/{id}/retry refuse API lenders that are not ready. 409 api_not_configured when the lender is not on an API integration.
GET
/
v1
/
deals
/
{dealId}
/
api-readiness
Check a deal is ready for a lender’s API
curl --request GET \
--url https://api.nextlevelmca.com/v1/deals/{dealId}/api-readiness \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/deals/{dealId}/api-readiness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/deals/{dealId}/api-readiness"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"lender_id": "<string>",
"spec_id": "<string>",
"valid": true,
"missing": [
"<string>"
],
"invalid": [
{
"field": "<string>",
"reason": "<string>"
}
],
"labels": {}
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Authorizations
API key (nlmca_live_…) or OAuth access token
Path Parameters
Deal id
Query Parameters
Lender to check against. Must have submission_method: "api".
Was this page helpful?